> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/tutelar-api-document-v2/business-profile/corporate-check/moa-aoa-documents.md).

# MOA / AOA Documents

This API is specifically designed for businesses to get the documents against the Company Identification Number (CIN) or Limited Liability Partnership Identification Number (LLPIN). Based on the provided number, it retrieves company documents such as the **AoA** ,**CoI,INC20A** and **MoA** from the Ministry of Corporate Affairs database.

## Fetch Company Documents Details

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v2/kyc/business_profile/company_documents`

### Header

| Name          | Value                     |
| ------------- | ------------------------- |
| Content-Type  | `application/json`        |
| Authorization | `Bearer eyJhbGciOiJ.....` |

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>cin_llpin </td><td>String </td><td>Yes </td><td><p>Corporate Identification Number</p><p>CIN or LLPIN.</p></td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "cin_llpin": "U72900TN2020PKB139392"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "completed",
    "result": {
        "AoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/AoA_file-1265268221873.pdf",
        "CoI": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/CoI_file-1265268221874.pdf",
        "INC20A": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/INC20A_file-1265268221875.pdf",
        "MoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/MoA_file-1265268221876.pdf",
    },
    "requested_at": "2025-10-27T14:54:45.340Z",
    "completed_at": "2025-10-27T14:54:45.340Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "in_progress",
    "requested_at": "2025-10-27T13:49:08.550Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "failed",
    "error": {
        "message": "The selected Company isn't available right now. Please try again later.",
        "code": "ERROR"
    },
    "requested_at": "2025-10-27T13:20:28.034Z",
    "completed_at": "2025-10-27T13:20:28.000Z"
}

```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "CIN/LLPIN number should not be empty",
    "error": {
        "message": "CIN/LLPIN number should not be empty",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "CIN/LLPIN number must be between 9 and 25 characters",
    "error": {
        "message": "CIN/LLPIN number must be between 9 and 25 characters",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid CIN or LLPIN format",
    "error": {
        "message": "Invalid CIN or LLPIN format",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v2/kyc/business_profile/company_documents`

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "completed",
    "result": {
        "AoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/AoA_file-1265268221873.pdf",
        "CoI": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/CoI_file-1265268221874.pdf",
        "INC20A": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/INC20A_file-1265268221875.pdf",
        "MoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/MoA_file-1265268221876.pdf",
    },
    "requested_at": "2025-10-27T14:54:45.340Z",
    "completed_at": "2025-10-27T14:54:45.340Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "in_progress",
    "requested_at": "2025-10-24T13:54:45.340Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "failed",
    "error": {
        "message": "The selected Company isn't available right now. Please try again later.",
        "code": "ERROR"
    },
    "requested_at": "2025-10-27T13:20:28.034Z",
    "completed_at": "2025-10-27T13:20:28.000Z"
}

```

{% endtab %}

{% tab title="422:Unprocessable Entity" %}

```json
{
  "success": false,
  "code": 422,
  "message": "The reference_id does not exist."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/tutelar-api-document-v2/business-profile/corporate-check/moa-aoa-documents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
